//
//  FirmwareUpdateViewController.h
//  Bluzone
//
//  Created by Jason Clary on 7/28/16.
//  Copyright © 2016 Bluvision. All rights reserved.
//

#import <UIKit/UIKit.h>
@class BLUConfigurableBeacon;
@class BLUFirmwareImage;

@class FirmwareUpdater;

@protocol FirmwareUpdaterDelegate <NSObject>

- (void)firmwareUpdater:(FirmwareUpdater *)firmwareUpdater didFinishFirmwareUpdateWithError:(NSError *)error;

@end

@interface FirmwareUpdater : NSObject

@property (nonatomic, strong) BLUConfigurableBeacon *configurableBeacon;
@property (nonatomic, strong) BLUFirmwareImage *stage1FirmwareImage;
@property (nonatomic, strong) BLUFirmwareImage *stage2FirmwareImage;
@property (nonatomic, weak) id<FirmwareUpdaterDelegate> delegate;


- (void)beginFirmwareUpdate;

@end
